Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.net.ftp.parser
Class OS400FTPEntryParser

    java.lang.Object
      org.apache.commons.net.ftp.FTPFileEntryParserImpl
          org.apache.commons.net.ftp.parser.RegexFTPFileEntryParserImpl
              org.apache.commons.net.ftp.parser.ConfigurableFTPFileEntryParserImpl
                  org.apache.commons.net.ftp.parser.OS400FTPEntryParser

All Implemented Interfaces:
  Configurable, FTPFileEntryParser

    public class OS400FTPEntryParser

extends ConfigurableFTPFileEntryParserImpl

Version:
  $Id: OS400FTPEntryParser.java 658518 2008-05-21 01:04:30Z sebb $

Field Summary

Fields inherited from class org.apache.commons.net.ftp.parser.RegexFTPFileEntryParserImpl
`_matcher_`

Constructor Summary
`OS400FTPEntryParser()` The default constructor for a OS400FTPEntryParser object.
`OS400FTPEntryParser(FTPClientConfig config)` This constructor allows the creation of an OS400FTPEntryParser object with something other than the default configuration.

Method Summary
`protected FTPClientConfig` | `getDefaultConfiguration()` Defines a default configuration to be used when this class is instantiated without a `FTPClientConfig` parameter being specified.
`FTPFile` | `parseFTPEntry(String entry)` Parses a line of an FTP server file listing and converts it into a usable format in the form of an `FTPFile` instance.

Methods inherited from class org.apache.commons.net.ftp.parser.ConfigurableFTPFileEntryParserImpl
`configure, parseTimestamp`

Methods inherited from class org.apache.commons.net.ftp.parser.RegexFTPFileEntryParserImpl
`getGroupCnt, getGroupsAsString, group, matches, setRegex`

Methods inherited from class org.apache.commons.net.ftp.FTPFileEntryParserImpl
`preParse, readNextEntry`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OS400FTPEntryParser

    public OS400FTPEntryParser()

  The default constructor for a OS400FTPEntryParser object.

  Throws:
    `IllegalArgumentException` - Thrown if the regular expression is unparseable. Should not be seen under normal conditions. It it is seen, this is a sign that `REGEX` is not a valid regular expression.

### OS400FTPEntryParser

    public OS400FTPEntryParser(FTPClientConfig config)

  This constructor allows the creation of an OS400FTPEntryParser object with something other than the default configuration.

  Parameters:
    `config` - The `configuration` object used to configure this parser.
  Throws:
    `IllegalArgumentException` - Thrown if the regular expression is unparseable. Should not be seen under normal conditions. It it is seen, this is a sign that `REGEX` is not a valid regular expression.
  Since:
    1.4

Method Detail

### parseFTPEntry

    public FTPFile parseFTPEntry(String entry)

  Description copied from interface: `FTPFileEntryParser`
  Parses a line of an FTP server file listing and converts it into a usable format in the form of an `FTPFile` instance. If the file listing line doesn't describe a file, `null` should be returned, otherwise a `FTPFile` instance representing the files in the directory is returned.

  Parameters:
    `entry` - A line of text from the file listing
  Returns:
    An FTPFile instance corresponding to the supplied entry

### getDefaultConfiguration

    protected FTPClientConfig getDefaultConfiguration()

  Defines a default configuration to be used when this class is instantiated without a `FTPClientConfig` parameter being specified.

  Specified by:
    `getDefaultConfiguration` in class `ConfigurableFTPFileEntryParserImpl`
  Returns:
    the default configuration for this parser.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.